
Redmine - Defect #12799

Cannot edit a wiki section which title starts with a tab

2013-01-10 14:57 - Miodrag Milic

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 2.2.2   

Resolution: Fixed Affected version:  

Description

If you paste text that contains tab after header its not possible any more to target correct section when clicking pencil icon on wiki

page.

Example:

h1. Page

h2.    Overview

h2.    Section 1

 which is

h1. Page

h2. \tOverview

h2. \tSection 1

 I edited page EmailConfiguration temporary to show this.

Associated revisions

Revision 11159 - 2013-01-10 23:05 - Jean-Philippe Lang

Fixed: Cannot edit a wiki section which title starts with a tab (#12799).

Revision 11230 - 2013-01-20 17:56 - Jean-Philippe Lang

Merged r11159 from trunk (#12799).

History

#1 - 2013-01-10 14:58 - Miodrag Milic

Changed sample page to Defect_Page

#2 - 2013-01-10 15:47 - Daniel Raible

test

#3 - 2013-01-10 17:12 - Etienne Massip

- Subject changed from Tab in definition of wiki headers makes section editing unusable to Trying to edit a wiki section which title contains a Tab

character leads to a 404

- Category set to Wiki

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

Miodrag Milic wrote:

I edited page EmailConfiguration temporary to show this.
 Changed sample page to Defect_Page

 Please don't, this is live content, use the demo site instead.

Confirmed on redmine.org only.

#4 - 2013-01-10 23:05 - Jean-Philippe Lang

- Subject changed from Trying to edit a wiki section which title contains a Tab character leads to a 404 to Cannot edit a wiki section which title starts

with a tab

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.2.2

- Resolution set to Fixed

Fixed in r11159.

#5 - 2013-01-20 17:56 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 2.2-stable.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/wiki/Defect_Page
https://www.redmine.org/projects/redmine/repository/svn/revisions/11159
http://www.tcpdf.org

